Bug 5598 - smbd from vfs_proxy fork crashes if "proxy:cache-enabled = true" is not specified
smbd from vfs_proxy fork crashes if "proxy:cache-enabled = true" is not speci...
Status: RESOLVED WONTFIX
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
x86 Linux
: P3 normal
: ---
Assigned To: Samjam
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-08 13:52 UTC by Avi Norowitz
Modified: 2010-01-19 14:07 UTC (History)
0 users

See Also:


Attachments
Debug log (-d 3) generated when opening a file (7.97 KB, text/plain)
2008-07-08 13:56 UTC, Avi Norowitz
no flags Details
smb.conf which Avi believes would cause vfs_proxy to crash (354 bytes, application/octet-stream)
2009-07-02 08:39 UTC, Avi Norowitz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Avi Norowitz 2008-07-08 13:52:47 UTC
If create a share with the VFS proxy module and do not explicitly specify "proxy:cache-enabled = true", smbd crashes when I try to open any file.

This problem occurs if the proxy is connecting to another proxy, and also occurs if the proxy is connecting to a Samba server.

I'll attach the crash message to this bug.
Comment 1 Avi Norowitz 2008-07-08 13:56:25 UTC
Created attachment 3398 [details]
Debug log (-d 3) generated when opening a file
Comment 2 Matthias Dieter Wallnöfer 2008-11-24 14:48:44 UTC
Has anyone worked on this one?
Comment 3 Matthias Dieter Wallnöfer 2009-06-13 13:20:05 UTC
Do you still see this problem?
Comment 4 Matthias Dieter Wallnöfer 2009-06-27 09:16:58 UTC
I think we've here the wrong assignee. Change it to "Sam Liddicott".
Comment 5 Samjam 2009-07-02 05:34:25 UTC
avi, can you post the smb.conf which causes the crash.
Comment 6 Avi Norowitz 2009-07-02 08:39:54 UTC
Created attachment 4392 [details]
smb.conf which Avi believes would cause vfs_proxy to crash

Sam,

I believe the smb.conf file on the server was the same or very similar to this. The test environment I setup for vfs_proxy is gone and I seem to have deleted the original smb.conf that caused this crash. Sorry.
Comment 7 Matthias Dieter Wallnöfer 2009-12-15 10:09:34 UTC
Sam, are you still working on this?
Comment 8 Matthias Dieter Wallnöfer 2010-01-09 10:49:25 UTC
Is there still anyone working on this "vfs_proxy" fork?
Otherwise I close this bug reports with "WONTFIX" soon since we as mainstream project aren't responsible for it.
Comment 9 Matthias Dieter Wallnöfer 2010-01-19 14:07:12 UTC
Well, there hasn't been posted any comments about the actual state of this s4 vfs_proxy fork. I will close the related bugs since the project seems dead (got no response after two posts).